%define anolis_release 1
%global pypi_name betamax

%bcond_with tests

Summary:       VCR imitation for python-requests
Name:          python-%{pypi_name}
Version:       0.8.1
Release:       %{anolis_release}%{?dist}
License:       Apache-2.0
URL:           https://github.com/sigmavirus24/%{pypi_name}
Source0:       %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:     noarch

%description
Betamax is a VCR_ imitation for requests which make mocking out requests much
easier.

%package -n python3-%{pypi_name}
Summary:       %{summary}
BuildRequires: python3-devel python3-setuptools
%if %{with tests}
BuildRequires: python3-pytest python3-requests >= 2.28
%endif
Requires:      python3-requests >= 2.28
Provides:      python3-%{pkg_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Betamax is a VCR_ imitation for requests which make mocking out requests much
easier.

Python 3 version.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
# ignore testcase failure reason unknown
TEST_SELECTOR="not test_fixtures and not test_replays_response_from_cassette and not TestPyTestParametrizedFixtures and not test_records_new_events_with_existing_cassette"
py.test-%{python3_version} -vk "$TEST_SELECTOR"
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%changelog
* Wed Apr 19 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 0.8.1-1
- Initial package from upstream
